%define rel		2

%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define date		20190529
%if %{date}
%define release		%mkrel -c git%{date} %{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		ca1bf4b810e2d188d04cb6286f957008ee1b7681
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

Name:		crossguid
Version:	0.2.2
Release:	%mkrel 1
Summary:	Lightweight cross platform C++ GUID/UUID library
Group:		System/Libraries
License:	MIT
URL:		https://github.com/graeme-hill/crossguid/
Source0:	https://github.com/graeme-hill/%{name}/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.xz

# Fix build with C++17
# See https://github.com/graeme-hill/crossguid/pull/56
Patch0:		56.patch

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(uuid)

%description
CrossGuid is a minimal, cross platform, C++ GUID library. It uses the best
native GUID/UUID generator on the given platform and has a generic class for
parsing, stringifying, and comparing IDs.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for %{name}.

#----------------------------------------------------

%prep
%setup -qn %{name}-%{tarballver}
%apply_patches

%build
%cmake .
%make

%install
%make_install -C build


%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/crossguid/


%changelog
* Tue May 18 2021 tex - 0.2.2-1pclos2021
- create pkg
